commit:     1c6344501cc3f05174be0df7def6571c48bb7d2d
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  6 18:08:17 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Feb  6 18:08:31 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c634450

app-text/qpdf: Bump to version 9.1.1

Package-Manager: Portage-2.3.87, Repoman-2.3.20
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-text/qpdf/Manifest          |  1 +
 app-text/qpdf/qpdf-9.1.1.ebuild | 64 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/app-text/qpdf/Manifest b/app-text/qpdf/Manifest
index b274837b06a..e772af126c9 100644
--- a/app-text/qpdf/Manifest
+++ b/app-text/qpdf/Manifest
@@ -1,2 +1,3 @@
 DIST qpdf-9.0.2.tar.gz 18168977 BLAKE2B 
46b397f0e6a97804c5e8dcbfc9fd2278960d5afd459430c1790bb8f9080062cf661cf186ab386721ed7560dbd4abbea43e4d31914c0636502c5c11096c250fe2
 SHA512 
275ca81603d53601e4389cb34eaebea1c5d52b310ef28f3375fbeee255a28edf9375f03f31649f580dbc3df73b851a2c8498feb3dd7b30067955571b05c9e69c
 DIST qpdf-9.1.0.tar.gz 18285597 BLAKE2B 
ef86cd4192805761e121bcd112e071dacb4bc108335da0ba237476d9f1698e4ba630010e3266fb63d9aa5b97e0e778f76fe226613e91d351b93a53b9fc9abee7
 SHA512 
7561ffc366dbce9df58cc85ff18480b28b0d46de04733ba463139188bee95690f92cf0960a328619f0c9f34ce865598db490fa1c6aaa76ee87d2c034a5f7f57e
+DIST qpdf-9.1.1.tar.gz 18312457 BLAKE2B 
0bbfaa782e46a911b20440bcf122d2745dde62de16423307cb02f7f3cd9a4976c79c7f6371322f793abfd8eaf9d5cc4f49b6854e58039595b5a488a2fec98d88
 SHA512 
008a11fef663a57ca173631f2053988023babea6c333cfe01db0ef955c8cd36d387ed9f2039f55bd5f9ca94c7a8e400461a09a15c5f89e03bc0817fdd0d3d585

diff --git a/app-text/qpdf/qpdf-9.1.1.ebuild b/app-text/qpdf/qpdf-9.1.1.ebuild
new file mode 100644
index 00000000000..8fc0067191f
--- /dev/null
+++ b/app-text/qpdf/qpdf-9.1.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Command-line tool for structural, content-preserving 
transformation of PDF files"
+HOMEPAGE="http://qpdf.sourceforge.net/";
+SRC_URI="mirror://sourceforge/qpdf/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 Artistic-2 )"
+
+# subslot = libqpdf soname version
+SLOT="0/26"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux ~m68k-mint ~sparc-solaris"
+IUSE="doc examples perl static-libs test"
+
+RESTRICT="!test? ( test )"
+
+CDEPEND="
+       net-libs/gnutls:0=
+       sys-libs/zlib
+       virtual/jpeg:0=
+"
+DEPEND="${CDEPEND}
+       test? (
+               sys-apps/diffutils
+               media-libs/tiff
+               app-text/ghostscript-gpl[tiff]
+       )
+"
+# Only need perl for the installed tools.
+RDEPEND="${CDEPEND}
+       perl? ( >=dev-lang/perl-5.8 )
+"
+
+DOCS=( ChangeLog README.md TODO )
+
+src_configure() {
+       local myeconfargs=(
+               --disable-implicit-crypto
+               --enable-crypto-gnutls
+               --enable-crypto-native
+               --with-default-crypto=gnutls
+               $(use_enable static-libs static)
+               $(use_enable test test-compare-images)
+       )
+       CONFIG_SHELL=/bin/bash econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       if ! use perl ; then
+               rm "${ED}"/usr/bin/fix-qdf || die
+               rm "${ED}"/usr/share/man/man1/fix-qdf.1 || die
+       fi
+
+       if use examples ; then
+               dobin examples/build/.libs/*
+       fi
+
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to